# WOK
TKWOK
MS

# MS_Error Class Reference

`#include <MS_Error.hxx>`

Inheritance diagram for MS_Error:

[legend]

## Public Member Functions

Standard_EXPORT | MS_Error (const Handle(TCollection_HAsciiString)&aName, const Handle(TCollection_HAsciiString)&aPackage)
Standard_EXPORT | MS_Error (const Handle(TCollection_HAsciiString)&aName, const Handle(TCollection_HAsciiString)&aPackage, const Handle(TCollection_HAsciiString)&Mother, const Standard_Boolean aPrivate, const Standard_Boolean aDeferred, const Standard_Boolean aInComplete)
virtual Standard_EXPORT void | Validity (const Handle(TCollection_HAsciiString)&aName, const Handle(TCollection_HAsciiString)&aPackage) const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT MS_Error::MS_Error | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(TCollection_HAsciiString)& | aPackage
| ) |

Standard_EXPORT MS_Error::MS_Error | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(TCollection_HAsciiString)& | aPackage,
|  | const Handle(TCollection_HAsciiString)& | Mother,
|  | const Standard_Boolean | aPrivate,
|  | const Standard_Boolean | aDeferred,
|  | const Standard_Boolean | aInComplete
| ) |

## Member Function Documentation

Standard_EXPORT const MS_Error::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from MS_StdClass.

virtual Standard_EXPORT void MS_Error::Validity | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(TCollection_HAsciiString)& | aPackage
| ) | const`[virtual]`

| Reimplemented from MS_StdClass.

The documentation for this class was generated from the following file:

- MS_Error.hxx